<?php

namespace App\Mobile\Synchronization\Controllers;

use App\Mobile\Synchronization\Resources\SyncPaymentFormResource;
use App\Mobile\Synchronization\Resources\SyncProductResource;
use App\Mobile\Synchronization\Resources\SyncUsuarioResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Schaffen\Core\PaymentForm\Managers\PaymentFormManager;
use Schaffen\Core\Product\Managers\ProductManager;
use Schaffen\Core\Product\Repositories\ProductRepository;
use Illuminate\Http\Request;
use Schaffen\Core\User\Managers\UserManager;
use Schaffen\Core\User\Repositories\UserRepository;


class SyncUsuarioController extends CrudController
{
    protected $resource = SyncUsuarioResource::class;

    public function __construct(
        UserManager    $manager,
        UserRepository $repository
    )
    {
        parent::__construct($manager, $repository);
        $this->manager = $manager;
        $this->repository = $repository;
    }

    public function index()
    {
        return new SyncUsuarioResource($this->manager->getDadosUsuarioLogado());
    }


}
