<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncClientMobileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
//        dd($this);

        $relationships = [];
        if (isset($this->mvfs)) {
            $relationships['mvfs'] = SyncFinancialMovementResource::collection($this->mvfs);
        }
        $returnable = [
                "rot_codigo" => $this->rota_que_pertence_cliente->route->rot_codigo ?? "",
                "roc_fk_rot_codigo" => $this->rota_que_pertence_cliente->roc_fk_rot_codigo ??  "",
                "pes_codigo" => $this->pes_codigo,
                "pes_razao_social" => $this->pes_razao_social ?? null,
                "pes_nome" => $this->pes_nome,
                "pes_identificador" => $this->pes_identificador,
                "contact" =>  new SyncContactResource($this->contact_default),
                "address" => new SyncAddressMobileResource($this->address_default)
            ] + $relationships;

        return $returnable;
    }
}
