<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncSalesResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'ven_codigo' => $this->ven_codigo ?? null,
            'ven_status' => $this->status($this) ?? null,
            'ven_data_movel' => $this->ven_data_movel ?? null,
            'ven_date_insert' => $this->ven_date_insert ?? null,
            'cliente' => [
                'pes_nome' => $this->client->pes_nome ?? null,
                'pes_identificador' => $this->client->pes_identificador ?? null,
                'pee_cidade' => $this->client->address_default->pee_cidade ?? null,
                'pee_uf' => $this->client->address_default->pee_uf ?? null,
                'peco_contato' => $this->client->contact_default->peco_contato ?? null,
                'peco_telefone' => $this->client->contact_default->peco_telefone ?? null
            ],
            'itens' => SyncSalesItemResource::collection($this->sales_items) ?? [],
            'forma_pagamento' => SyncSalesPaymentFormResource::collection($this->sales_payment_forms) ?? []
        ];
    }

    public function status($fields){
        if($fields->ven_data_cancelamento != null){
            return "Cancelado";
        }
        if($fields->ven_fk_nof_codigo != null){
            return "Faturado";
        }
        if($fields->ven_data_calcelamento == null && $fields->ven_fk_nof_codigo == null){
            return "Em aberto";
        }
    }
}
