<?php


namespace App\RestApi\Financial\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest;

class GeneratePaymentRequest extends FormRequest
{
    use RequestValidator;

    public array $post_rules = [
        "par_codigo" => "required|integer",
        "data_pagamento" => "required|string|date_format:Y-m-d H:i:s",
        "pagamento" => "required|numeric",
        "patrimonial" => "required",
        "juros_adicionais" => "numeric|nullable",
        "juros_atraso" => "numeric|nullable",
        "adicional" => "numeric|nullable",
        "multa" => "numeric|nullable",
        "desconto" => "numeric|nullable",
        "moeda" => "numeric|nullable",
        "observacao" => "string|nullable",
        "quitacao_rapida" => "integer|nullable",

    ];

    public array $put_rules = [

    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}
