<?php


namespace App\RestApi\Person\Controllers;

use App\RestApi\Person\Requests\AddressRequest;
use App\RestApi\Person\Requests\UpdateAddress;
use Freelabois\LaravelQuickstart\Extendables\Resource;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Response;
use Schaffen\Core\Person\Managers\AddressManager;
use Schaffen\Core\Person\Repositories\AddressRepository;

class AddressController
{
    use Crudable;

    /**
     * AddressController constructor.
     * @param AddressManager $manager
     * @param AddressRepository $repository
     */
    public function __construct(AddressManager $manager, AddressRepository $repository)
    {
        $this->setup($manager, $repository);
    }

    /**
     * @param AddressRequest $request
     * @return Resource|Response
     */
    public function store(AddressRequest $request)
    {
        return new Resource($this->manager->storeOrUpdate($request->validated()));
    }

    /**
     * @param AddressRequest $request
     * @param int $id
     * @return Resource|Response
     */
    public function update(AddressRequest $request, $id)
    {
        return new Resource($this->manager->storeOrUpdate($request->validated(), $id));
    }


}
